Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.Designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.Designer.cs	(revision 51)
@@ -33,6 +33,7 @@
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle3 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle4 = new System.Windows.Forms.DataGridViewCellStyle();
             System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle5 = new System.Windows.Forms.DataGridViewCellStyle();
+            System.Windows.Forms.DataGridViewCellStyle dataGridViewCellStyle6 = new System.Windows.Forms.DataGridViewCellStyle();
             this.label1 = new System.Windows.Forms.Label();
             this.panel1 = new System.Windows.Forms.Panel();
             this.label2 = new System.Windows.Forms.Label();
@@ -56,6 +57,7 @@
             this.btnOtherProc = new System.Windows.Forms.Button();
             this.btnCancel = new System.Windows.Forms.Button();
             this.btnPrint = new System.Windows.Forms.Button();
+            this.lblNoLook = new System.Windows.Forms.Label();
             this.groupBox2 = new ProcessManagement.Forms.CustomControls.GroupBoxEx();
             this.PrintProgress = new System.Windows.Forms.ProgressBar();
             this.dgvAllDisplay = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
@@ -63,10 +65,10 @@
             this.dataGridViewTextBoxColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.Column4 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewCheckBoxColumn();
-            this.lblNoLook = new System.Windows.Forms.Label();
             this.panel1.SuspendLayout();
             this.groupBox2.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvAllDisplay)).BeginInit();
@@ -213,6 +215,7 @@
             this.label6.TabIndex = 35;
             this.label6.Text = "注文書作成日";
             this.label6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.label6.Visible = false;
             // 
             // label14
             // 
@@ -268,6 +271,7 @@
             this.label7.Size = new System.Drawing.Size(114, 25);
             this.label7.TabIndex = 36;
             this.label7.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.label7.Visible = false;
             // 
             // label11
             // 
@@ -322,7 +326,7 @@
             this.btnOtherProc.BackColor = System.Drawing.Color.SpringGreen;
             this.btnOtherProc.Location = new System.Drawing.Point(7, 656);
             this.btnOtherProc.Name = "btnOtherProc";
-            this.btnOtherProc.Size = new System.Drawing.Size(200, 30);
+            this.btnOtherProc.Size = new System.Drawing.Size(160, 30);
             this.btnOtherProc.TabIndex = 95;
             this.btnOtherProc.TabStop = false;
             this.btnOtherProc.Text = "他の画面へ";
@@ -356,6 +360,17 @@
             this.btnPrint.UseVisualStyleBackColor = false;
             this.btnPrint.Click += new System.EventHandler(this.btnPrint_Click);
             // 
+            // lblNoLook
+            // 
+            this.lblNoLook.AutoSize = true;
+            this.lblNoLook.BackColor = System.Drawing.Color.White;
+            this.lblNoLook.Location = new System.Drawing.Point(12, 9);
+            this.lblNoLook.Name = "lblNoLook";
+            this.lblNoLook.Size = new System.Drawing.Size(127, 16);
+            this.lblNoLook.TabIndex = 98;
+            this.lblNoLook.Text = "見えないラベル";
+            this.lblNoLook.Visible = false;
+            // 
             // groupBox2
             // 
             this.groupBox2.BackColor = System.Drawing.Color.WhiteSmoke;
@@ -401,6 +416,7 @@
             this.dataGridViewTextBoxColumn3,
             this.Column5,
             this.Column6,
+            this.Column4,
             this.Column1,
             this.Column3,
             this.Column2});
@@ -456,13 +472,23 @@
             this.Column6.Name = "Column6";
             this.Column6.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.Column6.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column6.Width = 550;
+            this.Column6.Width = 400;
             // 
+            // Column4
+            // 
+            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            this.Column4.DefaultCellStyle = dataGridViewCellStyle5;
+            this.Column4.HeaderText = "注文書作成日";
+            this.Column4.Name = "Column4";
+            this.Column4.ReadOnly = true;
+            this.Column4.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column4.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.Column4.Width = 150;
+            // 
             // Column1
             // 
-            dataGridViewCellStyle5.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.Column1.DefaultCellStyle = dataGridViewCellStyle5;
-            this.Column1.Frozen = true;
+            dataGridViewCellStyle6.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.Column1.DefaultCellStyle = dataGridViewCellStyle6;
             this.Column1.HeaderText = "発注金額";
             this.Column1.Name = "Column1";
             this.Column1.ReadOnly = true;
@@ -471,7 +497,6 @@
             // 
             // Column3
             // 
-            this.Column3.Frozen = true;
             this.Column3.HeaderText = "支払条件";
             this.Column3.Name = "Column3";
             this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
@@ -479,21 +504,9 @@
             // 
             // Column2
             // 
-            this.Column2.Frozen = true;
             this.Column2.HeaderText = "印刷";
             this.Column2.Name = "Column2";
             // 
-            // lblNoLook
-            // 
-            this.lblNoLook.AutoSize = true;
-            this.lblNoLook.BackColor = System.Drawing.Color.White;
-            this.lblNoLook.Location = new System.Drawing.Point(12, 9);
-            this.lblNoLook.Name = "lblNoLook";
-            this.lblNoLook.Size = new System.Drawing.Size(127, 16);
-            this.lblNoLook.TabIndex = 98;
-            this.lblNoLook.Text = "見えないラベル";
-            this.lblNoLook.Visible = false;
-            // 
             // FrmPurchaseOrderPrint
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
@@ -551,16 +564,17 @@
         private CustomControls.DataGridViewEX dgvAllDisplay;
         private System.Windows.Forms.Button btnCancel;
         private System.Windows.Forms.Button btnPrint;
+        private System.Windows.Forms.Label label6;
+        private System.Windows.Forms.Label label7;
+        private System.Windows.Forms.ProgressBar PrintProgress;
+        private System.Windows.Forms.Label lblNoLook;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn1;
         private System.Windows.Forms.DataGridViewTextBoxColumn dataGridViewTextBoxColumn3;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
         private System.Windows.Forms.DataGridViewCheckBoxColumn Column2;
-        private System.Windows.Forms.Label label6;
-        private System.Windows.Forms.Label label7;
-        private System.Windows.Forms.ProgressBar PrintProgress;
-        private System.Windows.Forms.Label lblNoLook;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/PurchaseOrderPrint/FrmPurchaseOrderPrint.cs	(revision 51)
@@ -41,7 +41,7 @@
         /// <summary>
         /// 発注明細グリッド定義
         /// </summary>
-        private enum DispDetailGridColumn
+        private enum GridColumn
         {
             /// <summary>
             /// 番号
@@ -48,41 +48,33 @@
             /// </summary>
             No = 0,
             /// <summary>
-            /// グループ番号
+            /// 注文書枝番
             /// </summary>
-            GroupNo,
+            SeqNo,
             /// <summary>
-            /// 構成コード
+            /// 注文書番号
             /// </summary>
-            ComponentCode,
+            PurchaseNo,
             /// <summary>
-            /// 工種コード
+            /// 発注会社名
             /// </summary>
-            ItemCode,
+            PurchaseName,
             /// <summary>
-            /// 項目・品名名
+            /// 注文書作成日
             /// </summary>
-            FirstName,
+            CreateDate,
             /// <summary>
-            /// 内容内訳
+            /// 発注金額
             /// </summary>
-            SecondName,
+            PurchasePrice,
             /// <summary>
-            /// 数量
+            /// 発注条件
             /// </summary>
-            Quantity,
+            PurchaseTerms,
             /// <summary>
-            /// 単位
+            /// 印刷チェック
             /// </summary>
-            UnitName,
-            /// <summary>
-            /// 単価
-            /// </summary>
-            UnitPrice,
-            /// <summary>
-            /// 金額
-            /// </summary>
-            PriceValue
+            PrintExec,
         }
         #endregion
 
@@ -405,6 +397,11 @@
         private int m_ConstructionCode = 0;
 
         /// <summary>
+        /// 機能承認回数
+        /// </summary>
+        private int m_OrderNo = 1;
+
+        /// <summary>
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_CloseingProcessOn = true;
@@ -422,8 +419,13 @@
         /// <summary>
         /// ラベルコントロール保持配列
         /// </summary>
-        private Control[] m_DspLabelCtrl = new Control[9];
+        private Control[] m_DspLabelCtrl;
 
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
+
         // *-----* 共通処理設定 *-----*
         /// <summary>
         /// サブフォームフラグ
@@ -435,6 +437,15 @@
         private bool m_ParentEnd = false;
         // *-----* 共通処理設定 *-----*
 
+        /// <summary>
+        /// 機能承認回数
+        /// </summary>
+        public int OrderNo
+        {
+            get { return m_OrderNo; }
+            set { m_OrderNo = value; }
+        }
+
         #endregion
 
         #region プロパティ
@@ -447,6 +458,15 @@
             set { m_ConstructionCode = value; }
         }
 
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
+
         // *-----* 共通処理設定 *-----*
         /// <summary>
         /// サブフォームフラグ
@@ -497,6 +517,13 @@
             // データ表示
             InitDataLoad();
 
+            // 参照時は印刷できない
+            if (m_EditLock)
+            {
+                btnPrint.Enabled = false;
+                btnCancel.Enabled = false;
+            }
+
             // *-----* 処理移動ボタン設定 *-----*
             CreateProcessContextMenu(m_SubForm);
             // *-----* 処理移動ボタン設定 *-----*
@@ -564,108 +591,8 @@
         /// <param name="e"></param>
         private void btnPrint_Click(object sender, EventArgs e)
         {
-            FrmSaveFilePath frm = new FrmSaveFilePath();
-            FrmStatusAndDate frmStatus = new FrmStatusAndDate();
-            try
-            {
-
-                // 工事番号のセット
-                frmStatus.ConstructionCode = m_ConstructionCode;
-
-                // 変更進捗状態
-                int iProgressCode = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("施工準備")).Key;
-                frmStatus.ProgressStatus = iProgressCode;
-
-                // 消費税は使用しない
-                frmStatus.TaxDisplayFlg = false;
-                // 作成日付のセット
-                DateTime CreateDate = CommonMotions.cnvDate(lblNoLook.Text);
-                if (CreateDate == DateTime.MinValue)
-                {
-                    frmStatus.ExcuteDate = DateTime.Now;
-                }
-                else
-                {
-                    frmStatus.ExcuteDate = CreateDate;
-                }
-
-                // ウィンドウ表示
-                //frmStatus.ShowInTaskbar = false;
-                frmStatus.ShowDialog();
-
-                // 終了状態
-                m_PrintresRet = frmStatus.EndButton;
-
-                // 日付印刷フラグ
-                m_PrintDate = frmStatus.DatePrintFlg;
-
-                // 作成日付の更新
-                if (frmStatus.ExcuteDate != CreateDate)
-                {
-                    if (!PurchaseOrderUpdate(frmStatus.ExcuteDate)) return;
-                    m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate].Text = frmStatus.ExcuteDate.ToShortDateString();
-                }
-
-                // キャンセルは処理しない
-                if (m_PrintresRet == DialogResult.Cancel) return;
-
-                bool bSimplePrint = true;
-                if (!m_DspLabelCtrl[(int)DspLblCtrlName.OrderSheetType].Text.Equals(s_OrderSheetTypeString[0])) bSimplePrint = false;
-
-                // EXCEL保存時選択
-                if (m_PrintresRet == DialogResult.No)
-                {
-                    // 保存先を選択する
-                    if (bSimplePrint) frm.SaveType = (int)CommonDefine.SaveFileType.ExcelFile;
-                    else frm.SaveType = (int)CommonDefine.SaveFileType.WordFile;
-
-                    //frm.ShowInTaskbar = false;
-                    
-                    frm.ShowDialog();
-                    if (frm.EndButton == DialogResult.Cancel) return;
-                    m_SelectSaveExcel = frm.SelectPath;
-                    m_SelectSaveWord = frm.SelectPath;
-                }
-
-
-                // 印刷プロセス数取得
-                m_ProcessCount = GetProcessCount() + 2;       // 枚数＋ＥＸＣＥＬオブジェクト取得(2)
-                PrintProgress.Visible = true;
-                groupBox2.Update();
-                PrintProgress.Minimum = 0;
-                PrintProgress.Maximum = m_ProcessCount;
-                PrintProgress.Value = 0;
-
-                m_Canceled = false;
-                // ボタンの変更
-                PrintButtonVisbleControl(true);
-
-                //印刷を別スレッドで実行する
-                m_ProgressCount = 0;
-                if (bSimplePrint)
-                {   // 簡易版
-                    workerThread = new System.Threading.Thread(new System.Threading.ThreadStart(SimplePrintMain));
-                }
-                else
-                {
-                    // 印刷クラス
-                    m_UsedWord = new UsedWord();
-                    // 正規版
-                    workerThread = new System.Threading.Thread(new System.Threading.ThreadStart(RegularPrintMain));
-                }
-                workerThread.IsBackground = true;
-                workerThread.Start();
-
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                frm.Close(); frm = null;
-                frmStatus.Close(); frmStatus = null;
-            }
+            // 印刷処理
+            PrintProcess();
         }
         #endregion
 
